org.apache.felix.connect.felix.framework.util

## Class ListenerInfo

- java.lang.Object
- - org.apache.felix.connect.felix.framework.util.ListenerInfo

All Implemented Interfaces:
  org.osgi.framework.hooks.service.ListenerHook.ListenerInfo

    public class ListenerInfo
    extends Object
    implements org.osgi.framework.hooks.service.ListenerHook.ListenerInfo

### Constructor Summary

Constructors
Constructor and Description
`ListenerInfo(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleContext context, Class listenerClass, EventListener listener, org.osgi.framework.Filter filter, Object acc, boolean removed)`
`ListenerInfo(ListenerInfo info, boolean removed)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`org.osgi.framework.Bundle` `getBundle()`
`org.osgi.framework.BundleContext` `getBundleContext()`
`String` `getFilter()`
`EventListener` `getListener()`
`Class` `getListenerClass()`
`org.osgi.framework.Filter` `getParsedFilter()`
`Object` `getSecurityContext()`
`int` `hashCode()`
`boolean` `isRemoved()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerInfo

    public ListenerInfo(org.osgi.framework.Bundle bundle,
                org.osgi.framework.BundleContext context,
                Class listenerClass,
                EventListener listener,
                org.osgi.framework.Filter filter,
                Object acc,
                boolean removed)

#### ListenerInfo

    public ListenerInfo(ListenerInfo info,
                boolean removed)

### Method Detail

#### getBundle

    public org.osgi.framework.Bundle getBundle()

#### getBundleContext

    public org.osgi.framework.BundleContext getBundleContext()

Specified by:
  `getBundleContext` in interface `org.osgi.framework.hooks.service.ListenerHook.ListenerInfo`

#### getListenerClass

    public Class getListenerClass()

#### getListener

    public EventListener getListener()

#### getParsedFilter

    public org.osgi.framework.Filter getParsedFilter()

#### getFilter

    public String getFilter()

Specified by:
  `getFilter` in interface `org.osgi.framework.hooks.service.ListenerHook.ListenerInfo`

#### getSecurityContext

    public Object getSecurityContext()

#### isRemoved

    public boolean isRemoved()

Specified by:
  `isRemoved` in interface `org.osgi.framework.hooks.service.ListenerHook.ListenerInfo`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `org.osgi.framework.hooks.service.ListenerHook.ListenerInfo`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `org.osgi.framework.hooks.service.ListenerHook.ListenerInfo`
Overrides:
  `hashCode` in class `Object`